package ir.quera.smscatcher;

import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

/**
 * Created by psycho on 5/20/17.
 */

class MessageViewHolder extends RecyclerView.ViewHolder {

    private TextView senderView;
    private TextView bodyView;

    public MessageViewHolder(ViewGroup parent) {
        super(createView(parent));

        senderView = (TextView) itemView.findViewById(R.id.sender);
        bodyView = (TextView) itemView.findViewById(R.id.body);
    }

    private static View createView(ViewGroup parent) {
        LayoutInflater inflater = LayoutInflater.from(parent.getContext());
        return inflater.inflate(R.layout.view_message, parent, false);
    }

    public void bind(QueraMessage sms){
        senderView.setText(sms.getSender());
        bodyView.setText(sms.getBody());
    }
}
